# Uses of Class
java.util.LongSummaryStatistics

Packages that use LongSummaryStatistics
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of LongSummaryStatistics in java.util

Methods in java.util with parameters of type LongSummaryStatistics
Modifier and Type
Method
Description
`void`
LongSummaryStatistics.`combine(LongSummaryStatistics other)`
Combines the state of another `LongSummaryStatistics` into this one.

## Uses of LongSummaryStatistics in java.util.stream

Methods in java.util.stream that return LongSummaryStatistics
Modifier and Type
Method
Description
`LongSummaryStatistics`
LongStream.`summaryStatistics()`
Returns a `LongSummaryStatistics` describing various summary data about the elements of this stream.
Methods in java.util.stream that return types with arguments of type LongSummaryStatistics
Modifier and Type
Method
Description
`static <T> Collector<T,?,LongSummaryStatistics>`
Collectors.`summarizingLong(ToLongFunction<? super T> mapper)`
Returns a `Collector` which applies an `long`-producing mapping function to each input element, and returns summary statistics for the resulting values.